unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  function ShowAbout(Handle: THandle):LongInt;export;stdcall;
  procedure FreeAbout(FormRef: LongInt);export;stdcall;

implementation

{$R *.DFM}

function ShowAbout(Handle: THandle):LongInt;
begin
 Application.Handle := Handle;
 Form1:= TForm1.Create(Application);
 Form1.Show;
 Result:=LongInt(Form1);
end;

procedure FreeAbout(FormRef: LongInt);
begin
 if FormRef>0 then
  TForm1(FormRef).Free;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 Close;
end;

end.
